Bug 1177137 - Apper Err:SearchGroups not supported by backend
Summary: Apper Err:SearchGroups not supported by backend
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: apper
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1030708 (view as bug list)
Depends On:
Blocks: F22AlphaFreezeException pk-hif-features
TreeView+ depends on / blocked
 
Reported: 2014-12-24 12:23 UTC by satellitgo
Modified: 2021-01-04 09:23 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-04 09:23:04 UTC
Type: Bug


Attachments (Terms of Use)

Description satellitgo 2014-12-24 12:23:23 UTC
Description of problem:
Apper Err:SearchGroups not supported by backend

Version-Release number of selected component (if applicable):
KDE-live-x86-20141222 installed to bare metal

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Unable to use apper

Expected results:


Additional info:

Comment 1 Fedora Blocker Bugs Application 2014-12-24 12:31:46 UTC
Proposed as a Freeze Exception for 22-alpha by Fedora user satellit using the blocker tracking app because:

 updates do not work from notification (Apper)

Comment 2 Kevin Kofler 2014-12-24 23:26:01 UTC
Uh, groups not being supported is known (bug #1098735), but that should not affect updates!

Comment 3 satellitgo 2014-12-25 01:03:37 UTC
The default popup KDE update notification is to Apper. The default update for KDE should work.

Comment 4 satellitgo 2014-12-25 01:07:43 UTC
Apper does work  if entered separately for individual an individual file search but crashes when the popup for update is called.

Comment 5 Kevin Kofler 2014-12-25 01:36:56 UTC
Again, an update shouldn't be requiring SearchGroups to begin with (and doesn't on F21), there must be something additionally broken in Rawhide.

Comment 6 abuecher 2015-01-03 04:35:19 UTC
I get this same error string in Fedora 21 when I attempt to click on any group in the intial Apper dialog. Apper pops up a dialog with error message "SearchGroups not supported by backend"

My KDE Fedora 21 is a virtualbox guest running on a Windows7 host.

Comment 7 Rex Dieter 2015-01-03 04:42:37 UTC
that is tracked in bug #1098735

Comment 8 hjn 2015-02-09 20:56:37 UTC
Apper does not work at all in a fedora 21 scientific (KDE) installation on a lenovo edge 335

[all updates had to be done in the terminal using "sudo yum update"]

-------------------
additionally apper does not install *.rpm files

Comment 9 Petr Schindler 2015-03-02 21:09:42 UTC
Discussed at today's blocker review meeting [1].

We agreed on delaying the decision - This bug is currently in flux with old data and we want to wait for some KDE fixes to land before making a determination. 

http://meetbot.fedoraproject.org/fedora-blocker-review/2015-03-02/

Comment 10 Jaroslav Reznik 2015-03-03 16:39:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 11 Alejandro Garxia 2015-06-02 18:13:48 UTC
apper does not work on fedora core 22 i have sony vaio VPCEE23EL 64bit, i do it next
$su
#yum install gnome-packagekit.x86_64
#yum install gnome-packagekit-installer.x86_64
#yum install gnome-packagekit-updater.x86_64

then
$gpk-application


   for me work fine,i hope be helpfull, have a good day

Comment 12 Evgeny 2015-07-30 09:38:47 UTC
Bug is present in the final release of the latest updates on July 30, 2015.
Analogous problem is observed in the previous versions, KDE.

Comment 13 Robert McCullough 2015-09-09 00:15:48 UTC
I am getting the same issue on my Dell Precision M6600 laptop after installing the latest Fedora-22-KDE-live-x86_64.

Comment 14 Josef Ludvicek 2015-10-03 19:26:23 UTC
Is there any chance of fixing this in Fedora 22 ?

Comment 15 Rex Dieter 2015-11-23 11:59:59 UTC
*** Bug 1030708 has been marked as a duplicate of this bug. ***

Comment 16 Evgeny 2016-03-29 19:12:05 UTC
Fedor 23 last update on March 29, 2016
apper 0.9.2
Sometimes the message comes: "SearchGroups not supported by backend"
Sometimes not.
But it never works "Search Groups"

PS: previously used tool from the gnome.

Comment 17 Kerill 2016-04-28 08:13:57 UTC
Fedora 23 KDE last update on 28.04.2016
Apper 0.9.2


Always when I open any category in apper:

error
"SearchGroups not supported by backend"

Comment 18 Fedora End Of Life 2016-07-19 12:34:44 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 19 Fedora Admin user for bugzilla script actions 2020-08-18 14:52:26 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 20 Miro Hrončok 2021-01-04 09:23:04 UTC
Automation has figured out the package is retired in rawhide.

If you like it to be unretired, please open a ticket at https://pagure.io/releng/new_issue?template=package_unretirement


Note You need to log in before you can comment on or make changes to this bug.